# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "pract/version"

Gem::Specification.new do |spec|
  spec.name          = "pract"
  spec.version       = Pract::VERSION
  spec.authors       = ["Adrián Prieto"]
  spec.email         = ["alu0100948387@ull.edu.es"]

  spec.summary       = %q{Practica alimento: TDD Test.}
  spec.description   = %q{Realizacion de una gema a partir de pruebas a priori.}
  spec.homepage      = "https://github.com/ULL-ESIT-LPP-1718/tdd-alu0100948387.git"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  #if spec.respond_to?(:metadata)
  #  spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  #end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "guard-bundler"
  spec.add_development_dependency "yard"
  spec.add_development_dependency "rspec-benchmark"
  spec.add_development_dependency "coveralls"
end
